{
  "custom": {
    "Colors": {
      "DELETE": "#EE343B",
      "GET": "#004A98",
      "POST": "#5FA644",
      "PUT": "#D6893D"
    }
  },
  "params": {
    "buttonLabel": "GET",
    "description": "Get OEE, Availability, Performance, Quality Scores",
    "path": "/OEE_APQ"
  },
  "propConfig": {
    "custom.Colors": {
      "persistent": true
    },
    "params.buttonLabel": {
      "onChange": {
        "enabled": null,
        "script": "\tcurrentValue.value \u003d currentValue.value.upper()"
      },
      "paramDirection": "input",
      "persistent": true
    },
    "params.description": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.path": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 100
    },
    "loading": {
      "mode": "blocking"
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "btn_RequestType"
        },
        "position": {
          "basis": "80px"
        },
        "propConfig": {
          "props.style.backgroundColor": {
            "binding": {
              "config": {
                "path": "view.params.buttonLabel"
              },
              "transforms": [
                {
                  "code": "\treturn self.view.custom.Colors[value]",
                  "type": "script"
                }
              ],
              "type": "property"
            }
          },
          "props.text": {
            "binding": {
              "config": {
                "path": "view.params.buttonLabel"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "enabled": false,
          "style": {
            "classes": "Buttons/Medium_Button",
            "cursor": "pointer",
            "margin": 5
          },
          "textStyle": {
            "color": "#FFFFFF",
            "fontFamily": "Roboto",
            "letterSpacing": "1.5"
          }
        },
        "type": "ia.input.button"
      },
      {
        "meta": {
          "name": "lbl_Path"
        },
        "position": {
          "basis": "117px",
          "grow": 1
        },
        "propConfig": {
          "props.text": {
            "binding": {
              "config": {
                "path": "view.params.path"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "style": {
            "fontFamily": "Roboto",
            "fontSize": 15
          }
        },
        "type": "ia.display.label"
      },
      {
        "meta": {
          "name": "lbl_Description"
        },
        "position": {
          "basis": "50px",
          "grow": 1
        },
        "propConfig": {
          "props.text": {
            "binding": {
              "config": {
                "path": "view.params.description"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "style": {
            "fontFamily": "Roboto",
            "fontSize": 15
          }
        },
        "type": "ia.display.label"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "style": {
        "cursor": "pointer"
      }
    },
    "type": "ia.container.flex"
  }
}